Kerbal Space Program - Bug #26887

Decouple...do not Undock. Please put assigning Undocking back into the action groups and kal
controllers. Explanation within.

12/19/2020 02:51 AM - Anth12

Status: Confirmed Start date: 12/19/2020
Severity: Low % Done: 10%
Assignee:

Category: Docking

Target version:

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The following was in the change log:

"Players can no longer assign the Undock node Action. This has been removed as it
was causing confusion with the Decouple node Action in some parts. Crafts with

the action assigned can still fire it."

The decouple option should only apply to decouplers.
The undocking option should only apply to docking ports.

What is actually happening:

Crafts with joined docking ports in the SPH/VAB when launched have the decouple node option

This is actually the bug which is causing confusion for players. lts been in the game for as long as | can remember.
Fix:

Make docking ports have the undocking option after exiting the SPH/VAB

Make only decouplers have the decouple option.

Reason
They are actions that apply to completely different mechanisms

Look to the screen shots to see what | mean.

History

#1 - 12/19/2020 02:51 AM - Anth12

- Subject changed from Decouple...does not Undock. Please put assigning Undocking back into the action groups and kal controllers. Explanation
within. to Decouple...do not Undock. Please put assigning Undocking back into the action groups and kal controllers. Explanation within.

#2 - 12/19/2020 03:06 AM - Anth12

Once the option for a docking port is 'Undock' Decouple will not work

#3 - 12/19/2020 04:32 AM - dok_377

Completely agree. Docking ports can only decouple stuff through action groups when it's attached in the editor. When something redocks, the docking
port doesn't have the "Decouple" option anymore, it's now Undock. And the Undock option cannot be activated through action groups, because action
groups now only have the Decouple option, which is clearly not Undock. Seems like an oversight in decision making. Or coding, for that matter.

#4 - 12/19/2020 09:50 AM - Anth12

Its a very minor bug that was easy to get around with hitting the action group with Decouple and Undock. But now there is no work around

#5 - 12/22/2020 02:24 PM - Rakete
- Status changed from New to Confirmed

- % Done changed from 0 to 10
| second this report. Please put it back in the action group menue.
Or otherwise fusion the functionality of "undock" and "uncouple" of the docking ports. | want assign a action group to get rid of anything that is docked
to a docking port, if | wish to.

#7 - 01/19/2021 01:40 AM - MattStryker

| completely agree. | just put "decouple” AND "Undock" on every docking port. Why in the world did you remove that option? | was reediting an older
craft and before | realized it, | had accidently lost my ability to undock it with an action group, just because | was changing the number to a different
number. | had saved it before | realized there was no option to put it back. Why did you take that away? what was the possible reasoning behind
removing a function | use on EVERY SINGLE CRAFT | make? Seriously, why remove an option? | can't get over it. It makes absolutely no sense at
all. It was there, it worked, and you said, "eh...let's just take that away from them."

#8 - 02/05/2021 12:57 AM - Anth12
Did Testing for 1.11.0 verses 1.11.1.

1.11.1 is now reverted to 1.10.1 operation

Files
Just Launched from SPH.png 2.56 MB 12/19/2020 Anth12
Separated and then redocked.png 2.59 MB 12/19/2020 Anth12
